GET /v1/templates/exists
GET https://api.reporting.cloud/v1/templates/exists
Description
Returns true if the template storage holds a template of the given name, and false if it doesn't. The name is matched regardless of case.
Examples
Request:
curl username:password \
GET "https://api.reporting.cloud/v1/templates/exists?templateName=sample_invoice.tx"
Results:
true
Request:
using System;
using System.Collections.Generic;
using System.Drawing;
using TXTextControl.ReportingCloud;
class RCSamples
{
public static void TemplateExists(string templateName)
{
ReportingCloud rc = new ReportingCloud(
"username",
"password",
new Uri("https://api.reporting.cloud"));
try
{
Console.WriteLine(templateName + " exists in storage: " + rc.TemplateExists(templateName).ToString());
}
catch (Exception e)
{
Console.WriteLine("An error occurred: " + e.Message);
}
}
}
Results:
sample_invoice.tx exists in storage: True
Request:
import com.textcontrol.reportingcloud.ReportingCloud;
import java.io.IOException;
public class ReportingCloudSample {
public static void main(String[] args) throws IOException {
ReportingCloud r = new ReportingCloud("username", "password");
System.out.println(r.templateExists("sample_invoice.tx"));
}
}
Results:
true
Request:
#!/usr/bin/env ruby
require "txtextcontrol/reportingcloud"
reporting_cloud = TXTextControl::ReportingCloud::ReportingCloud.new("username", "password")
puts reporting_cloud.template_exists?("sample_invoice.tx")
Results:
true
Request:
require_once __DIR__ . '/vendor/autoload.php';
use TextControl\ReportingCloud\ReportingCloud;
$reportingCloud = new ReportingCloud([
'api_key' => (string) getenv('REPORTINGCLOUD_API_KEY'),
]);
var_dump($reportingCloud->templateExists('sample_invoice.tx'));
Results:
bool(true)
Authorization
This endpoint requires a "ReportingCloud-APIKey" or a "Basic" user authorization to access the user account, data and templates. Only one of these two methods is required.
API Keys describes how to create an API key, and Authentication explains both header forms.
ReportingCloud-APIKey
| Header field | Description |
|---|---|
| Authorization | Required. A valid ReportingCloud account is required. The Authorization field is constructed as follows: An API key needs to be generated in the portal or with PUT /v1/account/apikey. The authorization method and a space, "ReportingCloud-APIKey ", is then put before the actual API key string. For example: Authorization: ReportingCloud-APIKey oMDM4MrAqL9QEOpyzupnQW5NjvCNtvE5cVDaaLqxI |
Basic
| Header field | Description |
|---|---|
| Authorization | Required. A valid ReportingCloud account is required. The Authorization field is constructed as follows: The user name and password are combined into a string separated by a colon, for example username:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space, "Basic ", is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l |
Request Parameters
| Name | Type | Value | Optional |
|---|---|---|---|
| templateName | String | The filename of the template to be checked for availability in the template storage. The filename is not case-sensitive. | no |
Success Response
| Status | Description |
|---|---|
| 200 | On success, the HTTP status code in the response header is 200 (OK). The response body contains a boolean value. The value is true, if the template exists and false, if the template doesn't exist in the template storage. |
Error Response
| Status | Description |
|---|---|
| 403 | A 403 (Forbidden) is returned, if the user is not authorized. |
| 404 | A 404 (Not Found) is returned, if a required query parameter is missing. |
| 405 | A 405 (Method Not Allowed) is returned, if the request uses another HTTP method than GET. The Allow header of the response names GET. |
| 500 | A 500 (Internal Server Error) is returned, if the request has no Authorization header, an empty one or one that is not the authorization method, a space and the credentials. |